%{expand: %%define releasefile %( if [ -f '/etc/asianux-release' ]; then echo '/etc/asianux-release'; elif [ -f '/etc/Haansoft-release' ];  then echo '/etc/Haansoft-release';   elif [ -f '/etc/haansoft-release' ]; then echo '/etc/haansoft-release';   elif [ -f '/etc/booyo-release' ]; then echo '/etc/booyo-release';  fi) }

%{expand: %%define _Gnome_tag %(if [ -d /usr/share/gnome/autostart ]; then echo 1; else echo 0; fi)}
%{expand: %%define _Kde_tag %(if [ -d /usr/share/autostart ]; then echo 1; else echo 0; fi)}

%define ProductName DEFAULT

%if %(cat %{releasefile} | grep -q  Trinity && echo 1 || echo 0 )
    %define ProductName AXS2
%endif

%if %(cat %{releasefile} | grep -q  Quartet && echo 1 || echo 0 )
    %define ProductName AXS3
%endif

%if %(cat %{releasefile} | grep -q  nanumi && echo 1 || echo 0 )
    %define ProductName OE3
%endif

%if %(cat %{releasefile} | grep -q  binari && echo 1 || echo 0 )
    %define ProductName DT3
%endif

## Platform Check
%ifarch powerpc ppc ppciseries ppcseries ppcmac ppc64
%define _libdir /usr/lib
%endif

NAME: axtu
Release: 21%{?dist}
Summary: Asianux TSN Updater
Group: Utilities/System
License: GPL/LGPL
Version: 1.5.0
URL: http://www.asianux.com
Source: %{name}.tar.gz
Source1: axtu.desktop.AXS3
Source2: axtu.desktop.OTHERS
Source3: axtu.cron
Source4: axtu-cron
Source5: axtu-notifier
Source6: axtu-notifier.desktop
Source7: axtulog

## ## Aternate_Command_Names ##
Source100: set-sysmgt-axtu
Patch0: axtu-1.5-obsolete-case.patch
Patch1: axtu-1.5-obsolete-upgrade.patch
Patch2: axtu-1.5-obsolete-bug.patch
Patch3:	axtu-1.5-obsolete-warning.patch
Patch4: axtu-1.5-obsolete-version-check.patch
Patch5: axtu-1.5-obsolete-fix-upgrade.patch
Patch6: axtu-1.5-obsolete-remove-updatelist.patch 
Patch7: axtu-1.5-obsolete-fix-upgrade-x86_64.patch
Patch8: axtu-1.5-obsolete-extend.patch
Patch9: axtu-some_translation_vi.patch
Patch10: axtu-1.5-obsolete-function-modify.patch 
Patch11: axtu-1.5-fix-rpmbuild-problem.patch
Patch100: axtu-1.5-openssl101e.patch

BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: qt-devel,newt-devel,openssl101e-devel

%description
Asianux TSN Updater

%package gui
Summary: Asianux TSN Updater graphical user interface
Group: Utilities/System
Requires : qt axtu-tui
Prereq: /sbin/chkconfig, /sbin/service

%description gui
Asianux TSN Updater graphical user interface

%package tui
Summary: Asianux TSN Updater textual user interface
Group: Utilities/System
Requires: newt axtu-libs
Obsoletes: hsupdater axtu

%description tui
Asianux TSN Updater textual user interface

%package devel
Summary: Development files for Asianux TSN Updater
Group: Development/Libraries

%description devel
Development files for Asianux TSN Updater

%package libs
Summary: Libraries for Asianux TSN Updater
Group: Development/Libraries
Requires: openssl101e

%description libs
Libraries for Asianux TSN Updater

%prep
%setup -n axtu
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch100 -p1

%build
export PKG_CONFIG_PATH=/opt/openssl101e/%{_lib}/pkgconfig:$PKG_CONFIG_PATH
export CFLAGS="`pkg-config --cflags openssl101e`"$CFLAGS
export LDFLAGS="`pkg-config --libs openssl101e`"$LDFLAGS
aclocal
autoheader
autoconf
automake
#unset QTDIR && . /etc/profile.d/qt.sh
./configure --libdir=%{_libdir} --mandir=%{_mandir}
pushd gui/axtu
qmake DESTDIR=$RPM_BUILD_ROOT/usr/share/axtu/gui
pushd ../setup
qmake DESTDIR=$RPM_BUILD_ROOT/usr/share/axtu/gui
pushd ../launcher
qmake DESTDIR=$RPM_BUILD_ROOT/usr/share/axtu/gui
pushd ../../
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

mkdir -p $RPM_BUILD_ROOT/usr/share/applications

%if %{ProductName} == AXS3 || %{ProductName} == AXS2
cp -af %{SOURCE1} $RPM_BUILD_ROOT/usr/share/applications/axtu.desktop
%else
cp -af %{SOURCE2} $RPM_BUILD_ROOT/usr/share/applications/axtu.desktop
%endif

mkdir -p $RPM_BUILD_ROOT/etc/cron.daily
cp -af %{SOURCE3} $RPM_BUILD_ROOT/etc/cron.daily/axtu.cron
mkdir -p $RPM_BUILD_ROOT/etc/init.d
cp -af %{SOURCE4} $RPM_BUILD_ROOT/etc/init.d/axtu-cron
cp -af %{SOURCE5} $RPM_BUILD_ROOT/etc/init.d/axtu-notifier

%if %{_Gnome_tag} == 1
mkdir -p $RPM_BUILD_ROOT/usr/share/gnome/autostart/
cp -af %{SOURCE6} $RPM_BUILD_ROOT/usr/share/gnome/autostart/axtu-notifier.desktop
%endif

%if %{_Kde_tag} == 1
mkdir -p $RPM_BUILD_ROOT/usr/share/autostart/
cp -af %{SOURCE6} $RPM_BUILD_ROOT/usr/share/autostart/axtu-notifier.desktop
%endif

mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d/
cp -af %{SOURCE7} $RPM_BUILD_ROOT/etc/logrotate.d/axtulog

mkdir -p $RPM_BUILD_ROOT/%{_var}/axtu/tmp
mkdir -p $RPM_BUILD_ROOT/%{_var}/run/axtu
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/axtu
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/axtu/

## Aternate_Command_Names ##
install -m 755 %{SOURCE100} $RPM_BUILD_ROOT%{_bindir}


%clean
rm -rf $RPM_BUILD_ROOT

%pre
pidhsupdater=`/sbin/pidof /usr/share/hsupdater-1.0/hsupdater/hsupdater`
if [ "$pidhsupdater" != "" ]; then
     /bin/kill -9 $pidhsupdater > /dev/null 2>&1
fi
exit 0

%post gui
pidnotifier1=`/sbin/pidof /usr/share/axtu/gui/axtu-notifier-gui`
if [ "$pidnotifier1" != "" ]; then
	/usr/bin/killall axtu-notifier-gui > /dev/null 2>&1
        /usr/share/axtu/gui/axtu-notifier-gui& > /dev/null 2>&1
fi

/sbin/service axtu-notifier condrestart > /dev/null 2>&1
/sbin/chkconfig --add axtu-notifier > /dev/null 2>&1
/sbin/chkconfig --level 5 axtu-notifier on > /dev/null 2>&1
/bin/chmod -R 600 /usr/share/axtu/.conf > /dev/null 2>&1
exit 0


%preun gui
if [ $1 = 0 ]; then
        if [ -x /usr/bin/killall ]; then
             pidnotifier=`/sbin/pidof /usr/share/axtu/gui/axtu-notifier-gui`
             if [ "$pidnotifier" != "" ]; then
                 /usr/bin/killall axtu-notifier-gui > /dev/null 2>&1
             fi
        fi

        /sbin/service axtu-notifier stop > /dev/null 2>&1
        /sbin/chkconfig --del axtu-notifier > /dev/null 2>&1
fi
exit 0

%preun tui
if [ $1 = 0 ]; then	
	rm -rf /var/axtu/axtu-update-count	
	rm -rf /var/run/axtu/axtu*.pid	 
fi
exit 0

%files gui
%defattr(-,root,root)
/sbin/axtud
%{_datadir}/axtu/gui
%{_datadir}/axtu/daemon
%{_datadir}/applications/axtu.desktop
%if %{_Gnome_tag}
%{_datadir}/gnome/autostart/axtu-notifier.desktop
%endif
%if %{_Kde_tag}
%{_datadir}/autostart/axtu-notifier.desktop
%endif
%{_datadir}/locale/ko/LC_MESSAGES/axtu-notifier-gui.mo
%{_datadir}/locale/ja/LC_MESSAGES/axtu-notifier-gui.mo
%{_datadir}/locale/zh_CN/LC_MESSAGES/axtu-notifier-gui.mo
%{_datadir}/locale/zh_TW/LC_MESSAGES/axtu-notifier-gui.mo
%{_datadir}/locale/vi_VN/LC_MESSAGES/axtu-notifier-gui.mo
%{_sysconfdir}/init.d/axtu-notifier

%files tui
%{_datadir}/axtu/
%{_var}/axtu/.axtu.new
%{_sysconfdir}/init.d/axtu-cron
%{_datadir}/axtu/tui
%{_bindir}/axtu
%{_bindir}/set-sysmgt-axtu
%{_mandir}/man8/axtu.8*
%{_mandir}/man8/axtu-cl.8*
%config(noreplace) %{_datadir}/axtu/.conf/.wgetrc
%config(noreplace) %{_sysconfdir}/logrotate.d/axtulog
%config(noreplace) %{_sysconfdir}/cron.daily/axtu.cron
%{_var}/axtu/tmp/
%{_var}/axtu/
%{_var}/run/axtu/
%{_sysconfdir}/axtu/
%{_datadir}/axtu/

%files devel
%{_includedir}/axtu/*.h
%{_includedir}/axtu/wget/*.h

%files libs
%{_libdir}/libaxtu_shared.*a
%{_libdir}/libaxtu_shared.so*
%doc COPYING

%changelog
* Tue Apr  5 2016 SeongOok CHOI <seongook.cho@miraclelinux.com> 1.5.0-21%{?dist}
- modify to work with openssl101e instead of openssl.

* Thu May 13 2010 Tuananh Pham <anh.pt@asianux.com> 1.5.0-20%{?dist}
- modify desktop files to display axtu icon in start menu, control panel, tray icon (AXBug#8288)
- because the old patch for vietnamese has some problem so i recreate and apply again (Patch#9,AXBug#8213)

* Mon May 04 2010 Shu Li <shu.li@asianux.com> 1.5.0-19%{?dist}
- add Patch#10 to modify the obsolete function.(AXBug#8163)

* Thu Apr 22 2010 Tuananh Pham <anh.pt@asianux.com> 1.5.0-18%{?dist}
- modify desktop files (Source1, Source2, Source6)
- add some vietnamese translation (Patch#9, AXBug#8213)

* Fri Mar 12 2010 Shu Li <shu.li@asianux.com> 1.5.0-17%{?dist}
- modify Patch#8 to fix AXBug#7840

* Tue Dec 15 2009 Shu Li <shu.li@asianux.com> 1.5.0-16%{?dist}
- add Patch#8 to extend obsolete function.(AXBug#7500) 

* Thu Jul 09 2009 Lee, Jongwoo <oopslee@haansoft.com> 1.5.0-15%{?dist}
- removed previous package from updatelist. (AXBUG#6487)
- added checking name of architecture. (AXBUG#6502)

* Wed Jul 8 2009 Peter, Wang <peter.wang@asianux.com> 1.5.0-14%{?dist}
- fixed "lots of packages can not be updated" problem.(reopened AXBUG#6371)
- the patch is mainly for x86_64->noarch update issue

* Fri Jun 19 2009 Peter, Wang <peter.wang@asianux.com> 1.5.0-13%{?dist}
- fixed "lots of packages can not be updated" problem.(AXBUG#6371)
- fixed kernel-headers conflicts problem.(AXBUG#6362)

* Thu Jun 18 2009 Lee, Jongwoo <oopslee@haansoft.com> 1.5.0-12%{?dist}
- fixed upgrade bug of obsolete packages.(AXBUG#6369, AXBUG#6396) 

* Wed Jun 10 2009 Lee, Jongwoo <oopslee@haansoft.com> 1.5.0-11%{?dist}
- checked version of libdhcp-devel. (AXBUG#6394)  

* Thu Jun 04 2009 Lee, Jongwoo <oopslee@haansoft.com> 1.5.0-10%{?dist}
- fixed defendency problem & log problem.(AXBUG#6382, AXBUG#6372, AXBUG#6386)

* Mon May 25 2009 Peter, Wang <peter.wang@asianux.com> 1.5.0-9%{?dist}
- some inapropriate error messages modified. (AXBUG#6076)

* Thu May 18 2009 Peter, Wang <peter.wang@asianux.com> 1.5.0-8%{?dist}
- irqbanlance will not show up on install list if it is installed already. (AXBUG#6263)

* Thu May 14 2009 Peter, Wang <peter.wang@asianux.com> 1.5.0-7%{?dist}
- fixed tui scroll bar problem. (AXBUG#4717)
- fixed redcastle-app package conflicts problem. (AXBUG#5989)
- fixed redcastle-pam package conflicts problem. (AXBUG#5990)
- fixed "file conflicts" message problem. (AXBUG#6260)

* Mon May 11 2009 Lee, Jongwoo <oopslee@haansoft.com> 1.5.0-6%{?dist}
- added warning message about obsoleted package.(AXBUG#5994, AXBUG#5997)

* Tue Apr 30 2009 Peter, Wang <peter.wang@asianux.com> 1.5.0-5%{?dist}
- kmod-redcastle-PAE package can be installed now. (AXBUG#6012)

* Wed Apr 29 2009 Lee, Jongwoo <oopslee@haansoft.com> 1.5.0-4%{dist}
- fixed blacklist bug of obsoleted package. (AXBUG#6013, AXBUG#6174)
- hided obsoleted package in install list. (AXBUG#6172, AXBUG#6173)

* Mon Apr 27 2009 Lee, Jongwoo <oopslee@haansoft.com> 1.5.0-3%{dist}
- When the update is cancled, remove download file(AXBUG#3435)
- modified wgetrc (AXBUG#6098)

* Mon Apr 27 2009 Peter, Wang <peter.wang@asianux.com> 1.5.0-2%{?dist}
- Redcastle-Enable: Axtu under CLI "segmentation fault" is fixed(AXBUG#6165)
- Redcastle-Warn: Axtu under CLI "segmentation fault" is fixed(AXBUG#6168)

* Wed Apr 22 2009 Peter, Wang <peter.wang@asianux.com> 1.5.0-1%{?dist}
- the source code is the same as 1.4.16-5%
- the two patches names are changed from 1.4 to 1.5

* Wed Apr 15 2009 Peter, Wang <peter.wang@asianux.com> 1.4.16-5%{?dist}
- redcastle-app & redcastle-pam are now treated as common packages(AXBUG#5989 #5990)

* Fri Apr 10 2009 Peter, Wang <peter.wang@asianux.com> 1.4.16-4%{?dist}
- Added epoch check. (AXBUG#5965)

* Wed Apr 08 2009 Lee, Jongwoo <oopslee@haansoft.com> 1.4.16-3%{?dist}
- When axtu is updated, always log message is "Updated axtu-x.x". (AXBUG#5031)
- Obsoleting package on install list is treated as update package. (patch1, AXBUG#5997)

* Thu Mar 19 2009 Lee, Jongwoo <oopslee@haansoft.com> 1.4.16-2%{?dist}
- Added obsoleted package handling. (patch0, AXBUG#4396)

* Fri Nov 07 2008 JeongHun Kim<jhkim@haansoft.com> 1.4.16-1%{?dist}
- Bug fix #5436 - Though axtu to update kernel-xen-devel.It will removed the old one.

* Mon Oct 13 2008 JeongHun Kim<jhkim@haansoft.com> 1.4.15-1%{?dist}
- Bug fix #5130 - Whichever package user select to install, axtu will show the incompatible-package warning message

* Thu Sep 25 2008 JeongHun Kim<jhkim@haansoft.com> 1.4.14-1%{?dist}
- Bug fix #5032 - Axtu will suddenly close if you press some special blank places.

* Tue Aug 19 2008 Kazuo YAGI<kyagi@miraclelinux.com> 1.4.13-1%{?dist}
- Bug fix #3825 - Added file size checking in error route, and fixed typo. 

* Wed Aug 8 2008 JeongHun Kim<jhkim@haansoft.com> 1.4.12-1%{?dist}
-Bug fix #4564 - AXTU man page update
-Bug fix #3616 - when using Proxy, downloading timeout is differ from direct connection
-Bug fix #4179 - One warning message is missing when redcastle is in warning status
-Bug fix #4911 - When you turn on your system, If network is not connected, then axtu-daemon will be stoped.
-Bug fix #4935 - In update mode(axtu -u), Even if kernel package is installed, success log shows that kernel is updated.

* Fri Aug 8 2008 JeongHun Kim<jhkim@haansoft.com> 1.4.11-1%{?dist}
- Bug fix #3580 - axtu-tui process still running in GUI environment and its terminal window is closed
- Bug fix #4175 - Can not cancel axtu during download packages (TUI)
- Bug fix #4177 - Tui axtu can not rerun again after closing the console suddenly.

* Tue Aug 7 2008 Kazuo YAGI<kyagi@miraclelinux.com> 1.4.10-1%{?dist}
- Bug fix #4645 - Fixed the problem that axtu can't deal with posttrans tag in spec file.

* Tue Jul 29 2008 Kazuo YAGI<kyagi@miraclelinux.com> 1.4.9-1%{?dist}
- Bug fix #4186 - Increase size to check log directory and unify error messages between tui/gui.

* Tue Jul 15 2008 JeongHun Kim<jhkim@haansoft.com> 1.4.8-1%{?dist}
- Bug fix #4227 - Can not stop downloading packages immediately (GUI)
- Bug fix #4564 - AXTU man page update
- Bug fix #3616 - When using Proxy, downloading timeout is differ from direct connection
	- Changed only some text.

* Thu Jul 10 2008 Kazuo YAGI<kyagi@miraclelinux.com> 1.4.7-1%{?dist}
- Bug fix #4115 - Add error condition newly to tui-mode.

* Tue Jul 1 2008 Kazuo YAGI<kyagi@miraclelinux.com> 1.4.6-1%{?dist}
- Bug fix #3617 - Unified the error message to show the same message with tui and gui.
- Bug fix #4114 - Fixed the error message.

* Wed Jun 4 2008 JeongHun Kim<jhkim@haansoft.com> 1.4.5-1%{?dist}
- Bug fix #4454 - There are unnessary warning message on Install mode.
   When install mode,  warning message routine will isn't called.
- Bug fix #4513 - When redcastle is in Warning mode,the warning information is wrong.
   Edit some messages.
- Bug fix #4522 - Incorrect denomination in Asianux TSN Updater setting - Notifier tab
   Edit some messages.
   
* Wed May 21 2008 JeongHun Kim<jhkim@haansoft.com> 1.4.4-1%{?dist}
- Add translation for incompatible package function.

* Wed May 14 2008 JeongHun Kim<jhkim@haansoft.com> 1.4.3-1%{?dist}
- Bug fix #4007 - Block automatic updates of incompatible packages(for GUI/TUI)
- Bug fix #4216 - Axtu can not go on using after install all tomcat packages under the minimum installation system. 
- Bug fix #4094 - AXTU update packages in CLI mode when RedCastle is in Warning Mode.

* Mon Apr 28 2008 JeongHun Kim<jhkim@haansoft.com> 1.4.2-1%{?dist}
- Add translation for detecting redcatle status. (Bug #3982)

* Wed Apr 23 2008 Kazuo YAGI <kyagi@miraclelinux.com> 1.4.1-1%{?dist}
- Enhancement : add the incompatible package blocker feature to axtu-cl. (Bug #4007)

* Tue Apr 15 2008 Nam, Kwonwoo <kwnam@haansoft.com> 1.4.0-2%{?dist}
- change Aternate Command Names (SOURCE100) for run TUI when command
  run without X - bugzilla 4103

* Thu Apr 10 2008 JeongHun Kim <jhkim@haansoft.com> 1.4.0-1%{?dist}
- Enhencement about Redcastle.(Bug #3982)

* Tue Mar 18 2008 JeongHun Kim <jhkim@haansoft.com> 1.3.8-1%{?dist}
- Bug #3456 , #3616 fixed.

* Mon Mar 13 2008 Nam, Kwonwoo <kwnam@haansoft.com> 1.3.7-2%{?dist}
- add Aternate Command Names (SOURCE100) - bugzilla 3978

* Mon Mar 10 2008 Kazuo YAGI <kyagi@miraclelinux.com> 1.3.7-1%{?dist}
- Bug # 3959 Fixed a critical bug that was caused by rename(2) can't work across diffrent mount points.

* Fri Feb 15 2008 JeongHun Kim <jhkim@haansoft.com> 1.3.6-1AX
- Bug # 3648 Funny English in spec file, "on" GUI/TUI
- Bug # 3938 Can not updates or installs any packages after installing axtu-1.3.x by command( rpm -Uvh )

* Thu Feb 08 2008 Kazuo YAGI <kyagi@miraclelinux.com> 1.3.5-1%{?dist}
- Bug # 3908 Fixed a message bug that was caused by spelling error.

* Tue Dec 18 2007 JeongHun Kim <jhkim@haansoft.com> 1.3.4-1AX
- Bug # 3828(reopened) MT- some unuseful functionmust be deleted .
- Bug # 3825(reopened) MT- wanrning message is wrong when axtu.conf file is empty
- Bug # 3840 MT- After change the setting,axtu can not get the header.info for the first time.
- Bug # 3826 one sentence need to be translated into local language
- Bug # 3648 MT - Funny English in spec file, "on" GUI/TUI

* Mon Dec 10 2007 JeongHun Kim <jhkim@haansoft.com> 1.3.3-1AX
- Bug # 3829  	MT- Command "Dependency" can not work.
- Bug # 3828  	MT- some unuseful functionmust be deleted .
- Bug # 3827    MT- can not input port number in the proxy setting part if you select that port column by mouse
- Bug # 3825  	MT- wanrning message is wrong when axtu.conf file is empty
- Bug  # 3824  	MT-Unuseful (sp)(sp) character in two windows of the updater.
	
* Wed Dec 5 2007 JeongHun Kim <jhkim@haansoft.com> 1.3.2-1AX
- Under English GUI entironment,axtu can not go into "UPDATE" or,"INSTALL" interface. (Bug # 3822)

* Wed Oct 31 2007 JeongHun Kim <jhkim@haansoft.com> 1.3.1-1AX
- Source refactoring.

* Thu Oct 11 2007 JeongHun Kim <jhkim@haansoft.com> 1.2.24-1AX
- There are conflicts during updating kernel-headers using axtu(Bug # 3664)

* Tue Sep 18 2007 JeongHun Kim <jhkim@haansoft.com>, Yusop Kim <yusop@haansoft.com> 1.2.23-1AX
- Can start axtu using TUI and GUI at the same time(Bug # 3159) by JeongHun
- Axtu update itself even user close axtu window during package downloading(Bug # 3614) by JeongHun
- Bug fix for RelayServer-update function in command-line updater.(Bug # 3630) by Yusop

* Mon Sep 17 2007 Hua Jie <jiehua@redflag-linux.com> 1.2.22-2AX
- modify some Chinese translations

* Fri Sep 7 2007 Choi SeongOok <sochoi@miraclelinux.com> 1.2.22-1AX
- Added to ignore some signals.(Bug # 3428, 3440)
- Modified to do not show error produced by RPM api.(Bug # 3183)
- Modified to show error in /usr/bin/axtu.(Bug # 3441, 3466, 3453)
- Change disabled button style of axtu-gui to same as axtu-setup-gui.

* Thu Sep 06 2007 Yusop Kim <yusop@haansoft.com> 1.2.21-1AX
- Remove the cancel button for ProgressPages (Bug # 3418, # 3410)
- Changed a timeout value the for downloading and Added error types
- Changed language files(*.ts) for Redflag

* Tue Sep 4 2007 JeongHun Kim <jhkim@haansoft.com> 1.2.20-1AX
- The function of help button in axtu hasn't been actualized (Bug # 3106)
- Can start axtu-daemon a lot of time(Bug # 3151)
- Can start axtu using TUI and GUI at the same time(Bug # 3159)	
- Can invoke axtu many times from other console in TUI mode(Bug # 3438)
- Logview has erase filter (Bug # 3468)
- Warning won't be shown when proxy server setting was empty.(Bug # 3485)
- Forced update function problem(Bug # 3531)
- Go back to the phase of downloading header files if error occurs. (Bug # 3408)
- In axtu, "Apply" button is not activated when I change proxy server name. (Bug # 3587)
- Can not set axtu to the default value. (Bug # 3568)
- Axtu terminate with no message when other user use same key. (Bug # 3430)
- Can not update kernel-kdump package on ppc platform.(Bug # 3573)
- Sometimes axtu doesn't show the warning message to confirm dependency(Bug # 3586)
- User can't change URL of Update Server in axtu.(Bug # 3585)
- If update A  rpm package which is depended on by B rpm package,the B  rpm package is updated at the same time without any instruction. (Bug # 3572)
- Can not disable notifier in "axtu -s" (Bug # 3569)
- Axtu newly made it. The wgetrc file cannot be used(Bug # 3484)


* Fri Aug 31 2007 Yusop Kim <yusop@haansoft.com> 1.2.19-1AX
- On tui, If it occur a error for dependency, the error-window show an error-message with a path of log-file. The path and a message was not distincted. But now this bug is fixed.( Bug # 3399 )
- There are some selectable items, and we can push "next" button or whatever effectable. I just added a message - "No packages selected." ( Bug # 3400, # 3402 )

* Fri Aug 31 2007 Yusop Kim <yusop@haansoft.com> 1.2.18-1AX
- When some headerFiles(*.hdr) are downloaded, the progress-bar's actions were wrong. 
  But now I've fixed this problem. ( Bug # 3434 )

* Wed Aug 29 2007 JeongHun Kim <jhkim@haansoft.com> 1.2.17-1AX
- "Update more packages" will show wrong information message(Bug # 3519)
- Failed to install "kmod-redcastle-PAE" package for depedencies. (Bug # 3405)

* Fri Aug 24 2007 Choi SeongOok <sochoi@miraclelinux.com> 1.2.16-1AX
- Launcher(GUI/TUI) shows error messages if executing of updater and setup (Bug # 3454)
- Some of error handling function is added

* Tue Aug 14 2007 JeongHun Kim <jhkim@haansoft.com> 1.2.15-1AX
- Modify strange english sentenses.

* Thu Aug 09 2007 Yusop Kim <yusop@haansoft.com>,JeongHun Kim<jhkim@haansoft.com>  1.2.14-1AX
- Changing the load method from detecting the environment to pointing the binary directly.(Bug # 3442)
- Bug fix for reloading the HeaderInformation after update or install. Before the fixing, the doing update or install with some dependency occured different action. That is not doing the reload action the header files.(Bug # 3425)
- If there is not axtu-authen-client, the axtu will emit an error message (Bug # 3427)
- rpmEngine bug fix. (Bug # 3398)
  Some case rpmEngine didn't find install available package list in muliti arch system(x86_64, ppc, ia64).
  so axtu don't know missing packages, but some other packages required that missing package.
  axtu will not find required packages Even if There are required packages.
  I have fixed this bug.
- RV-TD-  keeping continuously "custom update", updater failed(only error output?) (Bug # 3444)
- Though update failed, package's version is upgraded(Bug # 3445)
- axtu crashes (Bug # 3426)
  Add exeption code that will check summary value whether NULL or not.  and When download is canceled by user. axtu will show first welcome page.
- axtu terminate with no message when other user use same key (Bug # 3430)
- Directory path more than 245 character for "Log Path"  (Bug # 3439)
- Directory path more than 47 character for "Download Path" (Bug # 3437)
- Directory path including space for "Download Path" (Bug # 3436)
- Error message does not appear if produect-key size is over(Bug # 3449)

* Mon Aug 06 2007 Yusop Kim <yusop@haansoft.com>  1.2.13-1AX
- Bug fix that cannot restart at doing Self-Update on TUI.(Bug # 3424)

* Tue Jul 31 2007 JeongHun Kim<jhkim@haansoft.com> 1.2.12-1AX
- Add proxy configuration ui to axtu setup.
- Modify the wrong word from "Reading header informaintion..." to "Reading header information..." (Bug # 3376)
- Remove the message that come out by the AuthenticationTool - CommandLine
- Modify the spec file for protecting the ex-configure files.

* Mon Jul 30 2007 Yusop Kim <yusop@haansoft.com>  1.2.11-1AX
- Bug Fix for come out the message from each RPM file on TUI during the update or install time(Bug # 3183)
- Bug Fix for LOG-file.(Bug:If there is not a directory for LOG, the LogFile put wrong place.) Fixed that bug.(Bug # 3364)
- Bug Fix for disk-space-error( Bug: If there is an error for disk-space-error, cannot show the message On tui) Fixed that bug.(Bug # 3365)

* Mon Jul 30 2007 Choi SeongOok <sochoi@miraclelinux.com> 1.2.10-2AX
- Some japanese text is fixed.

* Tue Jul 24 2007 JeongHun Kim<jhkim@haansoft.com>  1.2.10-1AX
- Can not check the disk space of log directory when log directory is linked. so I have fixed.  And I made default log directory for deleteting log path directory in axtu.conf.  This is exeption code.
- When logging in not root account,  notifirer will not show until by notifier period time (default 2 hours).   It has fixed.   This reason,  signal can not been reached to root process from not root process. I call the fuction by directly.
- When logging in not root account,  start axtu -u   and push the blacklist setup button.   setup window will show english senten not local language.    This reason,  kdesu option was wrong, I have fixed.
- When axtu.conf include same url,  axtu can not update, install.  This is Network class bugs.  Network calss confused which directory is right download direcotoy,   We add download path arguement. so Now Network class will not confuse downwload diretory.
- Some translate was changed.
- When make update available list,  axtu will notify the count of update available list to notifier.
- sometimes /usr/bin/axtu script will show warning messasges, I have fixed it.
- Add success log to logrotate.
- /ui/classAuthTui.cpp: Remove the Checkbox for the sending profile
- cui/main.cpp: Add the comments, Bug fix for cannot get the authentication key by product-number

*Tue Jul 17 2007 JeongHun Kim<jhkim@haansoft.com>  1.2.9-1AX
- Japanes Trans file was modified.(Bug # 3232)
- Bug # 3232  - Japanes Trans file was modified.
- Add logrotate for log exeption.
- Show Wait Cursor When start udpater or setup by launcher.
- When find self update packages,   axtu will find self update packages on only update list.  
- Check the space of log directory.
- When locked axtu, Axtu will be show messages.
- Edit tanslation file.
- Change defalut value of conf file in axtu.
- Modifing the path of Authentication Client and improve the code.
- Improve the code
- Remoing the ERASE option  
- Add comments for conf file
- Add exception code for safety of axtu.

* Mon Jul 16 2007 Yusop Kim <yusop@haansoft.com>  1.2.8-1AX
- Seperating the binary according to user interface.Because the users have different envirnments

* Fri Jul 13 2007 JeongHun Kim<jhkim@haansoft.com>  1.2.7-1AX
- Add new function that will install redcatle kernel modules(redcastle-app, redcastle-pam, kmod-redcastle) by install mode.
- Fix wrong english sentense.

* Fri Jul 13 2007 Ki-Young, Lee <kylee@haansoft.com> 1.2.6-2AX
- modify axtu.desktop.AX3(categories)
- remove khwtree

* Thu Jul 12 2007 JeongHun Kim<jhkim@haansoft.com>  1.2.6-1AX
- Remove the menu of erase on axtu launcher.  Because some user can erases important package and can destroy system. (bug#3208, bug#3129)
- Cannot execute axtu in the start menu by user account.(bug#3224)
- Can start axtu using TUI and GUI at the same time.(bug#3159)
- Can start axtu-daemon a lot of time.(bug#3151)
- Error message can not display When can not get header.info from update server.(bug#3152, bug#3230)

* Tue Jul 10 2007 JeonHun Kim<jhkim@haansoft.com>  1.2.5-1AX
- When the system's default run level is 3, axtu shows english text for japanese environment. So I have fixed it (bug#3142)
- Add a few exception code.
- Change Icon of axtu.desktop.AXS3, axtu.desktop.OTHERS.
- Change the name of axtu script file to axtu-cron in SOURCE.


* Tue Jul 4 2007 Yusop Kim<yusop@haansoft.com>  1.2.4-1AX
- Fixing the bug that cannot insert some packages to blacklist on TUI.

* Tue Jul 3 2007 JeonHun Kim<jhkim@haansoft.com>  1.2.3-1AX
- "TNS" should be "TSN" in axtu main interface(bug#3134)
- Can not cancel during updating packages(bug#3120)

* Mon Jul 02 2007 Hua Jie <jiehua@redflag-linux.com> 1.2.2-5AX
- modified Chinese translation

* Tue Jun 26 2007 Hua Jie <jiehua@redflag-linux.com> 1.2.2-4AX
- modified Chinese translation

* Wed Jun 20 2007 Choi SeongOok <sochoi@miraclelinux.com> 1.2.2-3AX
- add Japanese translation

* Mon Jun 18 2007 JeonHun Kim<jhkim@haansoft.com>  1.2.2-2ax
- The Categories of desktop has changed.

* Thu Jun 15 2007 JeonHun Kim<jhkim@haansoft.com>  1.2.2-1ax
- axtu-cl command have same option(-d, --download, -d, --delay) (bug#2751) I have changed -D, --delay option.

* Thu Jun 14 2007 JeonHun Kim<jhkim@haansoft.com>  1.2.1-3ax
- Axtu will not start on install time by anaconda. (bug#2900)

* Tue Jun 12 2007 Hua Jie <jiehua@redflag-linux.com> 1.1.1-2AX
- add Chinese translation
- remove ts files

* Tue Jun 12 2007 JeonHun Kim<jhkim@haansoft.com>  1.2.1-1ax
- Main directory is changed. /usr/share/axtu-1.1 ==> /usr/share/axtu 
  
* Thu May 31 2007 JeonHun Kim<jhkim@haansoft.com>, Yusop Kim<yusop@haansoft.com>  1.1.1-1ax
- the distance between the lines and the characters are different in the welcome page of axtu (bug#2768)
- RVD- suggestion for axtu self-update(bug#2767)
- problem for axtu-cl(bug#2751)
- there is no warning when the space is not enough(bug#2744)
- install list has the package which is already installed on the system(bug#2729)
- RV- can not set default value for blacklist(bug#2722)
- can not start axtu from the control panel(bug#2638)
- rpm's license may change GPL/LGPL(2343)
- after minimizing updater which is opened from tray icon,it disapeared from the screen(bug#2710)
- the characters in the axtu interface can not be showed fully(bug#2639)
- Modify the spec file - replaced by macro, and the tag of license 
- Change the Prefix directory (axtu-1.1)

* Fri May 11 2007 Yusop Kim<yusop@haansoft.com> 1.1-1ax
- Version up for commit to Asianux CVS

* Fri May 11 2007 Yusop Kim<yusop@haansoft.com> 1.0.34-1hs
- Soving the problem that don't work PPC platform

* Fri May 11 2007 Yusop Kim<yusop@haansoft.com> 1.0.33-3hs
- Removing the unstable "preun" command

* Fri May 11 2007 Yusop Kim<yusop@haansoft.com> 1.0.33-2hs
- Modifing the axtu-notifier(remove the line - "config")

* Thu May 10 2007 Yusop Kim<yusop@haansoft.com> 1.0.33-1hs
- If the Command-line updater cannot get AK, it will be stop

* Wed May 09 2007 Yusop Kim<yusop@haansoft.com> 1.0.32-1hs
- Bug fix a problem that cannot delete the rpmEngine-object

* Thu May 04 2007 Yusop Kim<yusop@haansoft.com> 1.0.31-1hs
- Modifying the copy routine for configure file according to product name
- Modifying the spec file for menu item - *.desktop

* Thu Apr 30 2007 Yusop Kim<yusop@haansoft.com> 1.0.30-1hs
- Inserting the readable api some repository url when CheckAuthen() is run.

* Thu Apr 26 2007 Yusop Kim<yusop@haansoft.com> 1.0.29-1hs
- Fixing the problem of copy the configure files
- Inserting CheckConfig API after checking Authentication
- When the default-configure-file do not exist the default-loading-button is disabled.

* Tue Apr 17 2007 Yusop Kim<yusop@haansoft.com> 1.0.28-1hs
- URL bug fix

* Tue Apr 17 2007 Yusop Kim<yusop@haansoft.com> 1.0.27-1hs
- Bug fix about some address 

* Sat Apr 14 2007 Yusop Kim<yusop@haansoft.com> 1.0.26-1hs
- Remove the "Requires" tag of this spec file.
- For the "axtu" and "axtu-authen-client" run at the same time, I insert that newtSuspend(),newtResume()

* Fri Apr 13 2007 Yusop Kim<yusop@haansoft.com> 1.0.25-1hs
- Modified that the authentication rootine do not run before self update.
- Change the code from 'exit(0)' to 'return false;' in SetAk method
- When the kernel is updated, AXTU will notify that kernel will be applied by system reboot.

* Thu Apr 12 2007 Yusop Kim<yusop@haansoft.com> 1.0.24-1hs
- Fixing the bug that libhswget.a is softly linked. The library must be hardly linked.
- Modify release tag from "hs" to "ax".

* Tue Apr 10 2007 Yusop Kim<yusop@haansoft.com> 1.0.23-1hs
- Modify by adding of the release name - binari
- Modify to the libaxtu_shared.so include the libhswget.a
- remove the link option with hswget. because libaxtu_shared.so include the libhswget.a
- modify the authentication routine according to be modifying the authentication_client
- bug fix by an empty space section.
- Add the option of "wget" for certification - authentication
- Add definition of "AUTHEN_FILE"

* Mon Apr 9 2007 JeongHun Kim<jhkim@haansoft.com> 1.0.22-1hs
- Bug fix notifier.

* Fri Mar 30 2007 JeongHun Kim<jhkim@haansoft.com> 1.0.21-3hs
- Change update URL ( haansoftlinux.com --> asianux.co.kr)

* Fri Mar 30 2007 JeongHun Kim<jhkim@haansoft.com> 1.0.21-2hs
- I did autoreconf and automake.

* Thu Mar 29 2007 JeongHun Kim<jhkim@haansoft.com> 1.0.21-1hs
- axtu-cl download option and check option has been added.
- Tray Image has changed.
- Configure file(/etc/axtu/axtu.conf) can includes comments.  (before patch axtu alway erases any comments (that will start "#") ).
- When files are downloading. User can cancel download. (before User can not stop download) 

* Fri Mar 23 2007 JeongHun Kim<jhkim@haansoft.com> 1.0.20-1hs
- Add axtu-cl(command line updater)
- Add axtu.cron and axtu(init.d script) for auto update
- libs/classRpmEngine.cpp rpm transaction is locking while axtu executes.   ==> It's solved. 
- libs/classRpmEngine.cpp,h gui/classGui.cpp gui/main.cpp tui/classTui.cpp  We want to block a blacklist package by update only(Not install).   but axtu blockes a package even if a package will be installed when depedency check time. 
- doxygen_axtu.conf axpm text was not change to axtu. I have changed.
- libs/classRpmEngine.cpp TSN Updater locked rpm transaction while updater is on exectute time. I modified that bug.  
- gui/axtu/classGui.cpp,h When show dependency list to user.   Messages is not translated to local languages.  It 's fixed.


* Mon Mar 12 2007 Yusop Kim<yusop@haansoft.com> 1.0.19-2hs
- Modify Macros (%pre,%preun,%post,%postun) of Spec file 

* Thu Mar 08 2007 Yusop Kim<yusop@haansoft.com> 1.0.19-1hs
- Modifed to restarted at self-update in GUI
- Add Self Address
- Add Protecting Method for Unlimited loop

* Thu Mar 08 2007 Yusop Kim<yusop@haansoft.com> 1.0.18-2hs
- Remove %preun macros

* Thu Mar 08 2007 Yusop Kim<yusop@haansoft.com> 1.0.18
- Multi language supportting code is fixed. Upater had a bug that some part of language is not changed to korean or other language.
- When User account (NOT root) will executes TSN Updater.   Updater will requires password to root.
- CreateUpdateInstall() function on classRpmEngine.cpp is fixed. Some case this function went to the loop states.
- Text strings of TUI are modified for main title "Asianux TSN Updater"
- Modifing the "axpm" script for help message

* Mon Mar 05 2007 Yusop Kim<yusop@haansoft.com> 1.0.17
- Solve the last messages problem

* Mon Mar 05 2007 Yusop Kim<yusop@haansoft.com> 1.0.16
- Modify axtu.desktop

* Fri Mar 02 2007 Yusop Kim<yusop@haansoft.com> 1.0.15
- solve the multiple execute problem

* Fri Mar 02 2007 Yusop Kim<yusop@haansoft.com> 1.0.14
- Add Man file for man page

* Fri Mar 02 2007 Yusop Kim<yusop@haansoft.com> 1.0.13
- Add Korean Langauage

* Wed Feb 28 2007 Yusop Kim<yusop@haansoft.com> 1.0.12
- Package Rename from "axpm" to "axtu"

* Wed Feb 28 2007 Yusop Kim<yusop@haansoft.com> 1.0.11
- Modify notifier as gtk library

* Mon Feb 12 2007 Yusop Kim<yusop@haansoft.com> 1.0.10
- Add new class -> classConfCtl

* Fri Feb 02 2007 Yusop Kim<yusop@haansoft.com> 1.0.9
- Add a executable script file

* Sun Jan 28 2007 Yusop Kim<yusop@haansoft.com> 1.0.8
- modify tui messages
- modify file part of the spec file

* Thu Jan 25 2007 Yusop Kim<yusop@haansoft.com> 1.0.7
- remove useless comments

* Tue Jan 23 2007 Yusop Kim<yusop@haansoft.com> have not packaged
- solve the problem that occure when download header and package file 

* Mon Jan 22 2007 Yusop Kim<yusop@haansoft.com> 1.0.6-2hs
- Remove build require with libhswget
- Modify library install path for x86_64

* Mon Jan 22 2007 Yusop Kim<yusop@haansoft.com> 1.0.6
- Add comments

* Thu Jan 18 2007 JeongHun Kim<jhkim@haansoft.com>  have not packacged
- Add classLogger to notifier.

* Tue Jan 16 2007 Yusop Kim<yusop@haansoft.com> 1.0.5
- Using shared library instead of static library

* Tue Jan 16 2007 Yusop Kim<yusop@haansoft.com> 1.0.4
- Add gui/notifier
- Modify conf/* files

* Tue Jan 16 2007 Yusop Kim<yusop@haansoft.com> 1.0.3
- update sources from CVS contents

* Tue Jan 16 2007 Yusop Kim<yusop@haansoft.com> 1.0.2
- Add gui/launcher
- Add tui's po file

* Tue Jan 16 2007 Yusop Kim<yusop@haansoft.com> 1.0.1
- Modify tui/axpm/Makefile.am
  Becase of Dependency with library

* Sat Jan 12 2007 Yusop Kim<yusop@haansoft.com> 1.0
- make new pkg of axpm
